Update a maintenance window.
PUT
/maintenance_windows/{window_id}
const url = 'https://api.siteqwality.com/maintenance_windows/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","tags":["example"],"schedule_type":"example","timezone":"example","starts_at":"2026-04-15T12:00:00Z","ends_at":"2026-04-15T12:00:00Z","recurrence":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.siteqwality.com/maintenance_windows/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "tags": [ "example" ], "schedule_type": "example", "timezone": "example", "starts_at": "2026-04-15T12:00:00Z", "ends_at": "2026-04-15T12:00:00Z", "recurrence": "example" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” window_id
required
string format: uuid
Maintenance window identifier
Request Body required
Section titled “Request Body required ” Media type application/json
object
name
string | null
tags
array | null
schedule_type
string | null
timezone
string | null
starts_at
string | null format: date-time
ends_at
string | null format: date-time
recurrence
Example generated
{ "name": "example", "tags": [ "example" ], "schedule_type": "example", "timezone": "example", "starts_at": "2026-04-15T12:00:00Z", "ends_at": "2026-04-15T12:00:00Z", "recurrence": "example"}Responses
Section titled “ Responses ”Maintenance window updated
Media type application/json
object
id
required
string format: uuid
account_id
required
string format: uuid
name
required
string
tags
required
Array<string>
schedule_type
required
string
timezone
required
string
starts_at
string | null format: date-time
ends_at
string | null format: date-time
recurrence
is_currently_active
required
boolean
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "account_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "tags": [ "example" ], "schedule_type": "example", "timezone": "example", "starts_at": "2026-04-15T12:00:00Z", "ends_at": "2026-04-15T12:00:00Z", "recurrence": "example", "is_currently_active": true, "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z"}Invalid request body
Missing or invalid authentication
Window not found
Internal server error